
import java.awt.Color;
import javax.swing.JFrame;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author James
 */
public class Main {
    public static int FormulaPageValue = 50;
    static JFrame Frame = new JFrame();
    public static void main(String [] args){
        
        Frame.getContentPane().setBackground(Color.BLUE);
        Frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        Frame.setSize(600,600);
        //homePage hp = new homePage(Frame);
        //PunchCount pc = new PunchCount(Frame);
        Frame.setContentPane(new LoginPanel());
        Frame.repaint();
        Frame.revalidate();
        Frame.setVisible(true);
    }
    
    public static void swap(int i)
    {
        if(i == 0)
        {
            Frame.setContentPane(new LoginPanel());
            Frame.repaint();
            Frame.revalidate();
        }
        else if(i == 1)
        {
            Frame.setExtendedState(JFrame.MAXIMIZED_BOTH);
            //Frame.setResizable(false);
            Frame.setContentPane(new homePagePanel());
            Frame.repaint();
            Frame.revalidate();
        }
        else if(i == 2)
        {
            Frame.setExtendedState(JFrame.MAXIMIZED_BOTH);
            //Frame.setResizable(false);
            Frame.setContentPane(new ComboScorePanel());
            Frame.repaint();
            Frame.revalidate();
        }
        else if(i == 3)
        {
            Frame.setExtendedState(JFrame.MAXIMIZED_BOTH);
            //Frame.setResizable(false);
            Frame.setContentPane(new TotalForcePanel(false, -1));
            Frame.repaint();
            Frame.revalidate();
        }
        else if(i == 4)
        {
            Frame.setExtendedState(JFrame.MAXIMIZED_BOTH);
            //Frame.setResizable(false);
            Frame.setContentPane(new TotalTimePanel());
            Frame.repaint();
            Frame.revalidate();
        }
        else if(i == 5)
        {
            Frame.setExtendedState(JFrame.MAXIMIZED_BOTH);
            //Frame.setResizable(false);
            Frame.setContentPane(new PunchCountPanel());
            Frame.repaint();
            Frame.revalidate();
        }
        else if(i == 6)
        {
            Frame.setExtendedState(JFrame.MAXIMIZED_BOTH);
            //Frame.setResizable(false);
            Frame.setContentPane(new FormulaPage());
            Frame.repaint();
            Frame.revalidate();
        }
    }
    public static void closeFrame(){
        Frame.dispose();
        System.exit(0);
    }
    public static String name1 = "Player 1";
    public static String name2 = "Player 2";
    public static String name3 = "Player 3";
    public static String name4 = "Player 4";
    public static String name5 = "Player 5";
    public static String name6 = "Player 6";
    
    public static String score1;
    public static String score2;
    public static String score3;
    public static String score4;
    public static String score5;
    public static String score6;
    
    public static String handi1 = "100";
    public static String handi2= "100";
    public static String handi3= "100";
    public static String handi4= "100";
    public static String handi5= "100";
    public static String handi6= "100";
    
    
    
    public static int playerNum = 0;
    
    public static int currentPlayer = -1;
    
    public static java.awt.Color baseColor = new java.awt.Color(0,0,55);
    public static java.awt.Color titleColor = new java.awt.Color(240,240,240);
    
    
}
